import { FunctionalComponent, JSX } from "preact";
import type { ManifestEntry } from "./utils/build";
export declare const __DocContext: import("preact").Context<{
    head: {
        current: any[];
    };
}>;
export declare const Document: FunctionalComponent<{
    manifest?: ManifestEntry;
    preload?: string[];
    preconnect?: string[];
    debug?: boolean;
    hasGlobalScript?: boolean;
}>;
export declare const Html: FunctionalComponent<JSX.HTMLAttributes<HTMLHtmlElement>>;
export declare const Main: FunctionalComponent<Omit<JSX.HTMLAttributes<HTMLDivElement>, 'id' | 'dangerouslySetInnerHTML' | 'children'>>;
export declare const Head: FunctionalComponent<JSX.HTMLAttributes<HTMLHeadElement>>;
